pcl::visualization::PCLContextItem Struct Reference

Struct PCLContextItem represents our own custom version of vtkContextItem, used by the ImageViewer class. More...

`#include <pcl/visualization/vtk/pcl_context_item.h>`

Inheritance diagram for pcl::visualization::PCLContextItem:

## Public Member Functions

| vtkTypeMacro (PCLContextItem, vtkContextItem)
virtual bool | Paint (vtkContext2D *)
void | setColors (unsigned char r, unsigned char g, unsigned char b)
void | setColors (unsigned char rgb[3])
void | setOpacity (double opacity)

## Static Public Member Functions

static PCLContextItem * | New ()

## Public Attributes

unsigned char | colors [3]
double | opacity
std::vector< float > | params

## Detailed Description

Struct PCLContextItem represents our own custom version of vtkContextItem, used by the ImageViewer class.

Author
  Nizar Sallem

Definition at line 58 of file pcl_context_item.h.

## Member Function Documentation

static PCLContextItem* pcl::visualization::PCLContextItem::New | ( |  | ) |

static

virtual bool pcl::visualization::PCLContextItem::Paint | ( | vtkContext2D * |  | ) |

inline virtual

Reimplemented in pcl::visualization::context_items::Markers, pcl::visualization::context_items::Text, pcl::visualization::context_items::Polygon, pcl::visualization::context_items::Points, pcl::visualization::context_items::FilledRectangle, pcl::visualization::context_items::Rectangle, pcl::visualization::context_items::Disk, pcl::visualization::context_items::Circle, pcl::visualization::context_items::Line, and pcl::visualization::context_items::Point.

Definition at line 62 of file pcl_context_item.h.

void pcl::visualization::PCLContextItem::setColors | ( | unsigned char | r,
|  | unsigned char | g,
|  | unsigned char | b
| ) |  |

void pcl::visualization::PCLContextItem::setColors | ( | unsigned char | rgb[3] | ) |

inline

Definition at line 64 of file pcl_context_item.h.

void pcl::visualization::PCLContextItem::setOpacity | ( | double | opacity | ) |

inline

Definition at line 65 of file pcl_context_item.h.

pcl::visualization::PCLContextItem::vtkTypeMacro | ( | PCLContextItem | ,
|  | vtkContextItem |
| ) |  |

## Member Data Documentation

unsigned char pcl::visualization::PCLContextItem::colors[3]

Definition at line 65 of file pcl_context_item.h.

double pcl::visualization::PCLContextItem::opacity

Definition at line 67 of file pcl_context_item.h.

std::vector<float> pcl::visualization::PCLContextItem::params

Definition at line 68 of file pcl_context_item.h.

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/visualization/include/pcl/visualization/vtk/pcl_context_item.h